---
ssh-ssh-config:
  file.managed:
    - name: /etc/ssh/ssh_config
    - source: salt://ssh/ssh_config.j2
    - template: jinja
    - user: root
    - mode: 0644

ssh-sshd-config:
  file.managed:
    - name: /etc/ssh/sshd_config
    - source: salt://ssh/sshd_config.j2
    - template: jinja
    - user: root
    - mode: 0644
    - watch_in:
      - service: ssh-sshd-service
